Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Fields
H5FD_subfiling_config_t Struct Reference

`#include <src/H5FDsubfiling/H5FDsubfiling.h>`

## Detailed Description

Configuration structure for H5Pset_fapl_subfiling() / H5Pget_fapl_subfiling()

H5FD_subfiling_config_t is a public structure that is used to pass subfiling configuration data to the H5FD_SUBFILING driver via a File Access Property List. A pointer to an instance of this structure is a parameter to H5Pset_fapl_subfiling() and H5Pget_fapl_subfiling().

## Data Fields
hid_t | ioc_fapl_id
uint32_t | magic
bool | require_ioc
H5FD_subfiling_params_t | shared_cfg
uint32_t | version

## Field Documentation

## ◆ ioc_fapl_id

hid_t ioc_fapl_id

The File Access Property List which is setup with the file driver that the H5FD_SUBFILING driver will use for servicing I/O requests to the subfiles. Currently, the File Access Property List must be setup with the H5FD_IOC driver by calling H5Pset_fapl_ioc(), but future development may allow other file drivers to be used.

## ◆ magic

uint32_t magic

A somewhat unique number which distinguishes the H5FD_SUBFILING driver from other drivers. Used in combination with a version number, it can help to validate a user-generated File Access Property List. This field should be set to H5FD_SUBFILING_FAPL_MAGIC.

## ◆ require_ioc

bool require_ioc

A boolean flag which indicates whether the H5FD_SUBFILING driver should use the H5FD_IOC driver for its I/O operations. This field should currently always be set to true.

## ◆ shared_cfg

H5FD_subfiling_params_t shared_cfg

A structure which contains the subfiling parameters that are shared between the H5FD_SUBFILING and H5FD_IOC drivers. This includes the subfile stripe size, stripe count, IOC selection method, etc.

## ◆ version

uint32_t version

Version number of the H5FD_subfiling_config_t structure. Any instance passed to H5Pset_fapl_subfiling() / H5Pget_fapl_subfiling() must have a recognized version number or an error will be raised. Currently, this field should be set to H5FD_SUBFILING_CURR_FAPL_VERSION.

The documentation for this struct was generated from the following file:

- src/H5FDsubfiling/H5FDsubfiling.h